'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema');

class IceServerSchema extends Schema {
  up() {
    this.create('ice_servers', (table) => {
      table.increments();
      table.string('type', 254).notNullable();
      table.string('url', 254).notNullable();
      table.integer('port').notNullable();
      table.string('protocol', 254);
      table.string('secret', 254);
      table.timestamps();
    })
  }

  down() {
    this.drop('ice_servers');
  }
}

module.exports = IceServerSchema;
